Bug 1992321 (CVE-2021-2427)

Summary: CVE-2021-2427 mysql: Server: Optimizer unspecified vulnerability (CPU Jul 2021)
Product: [Other] Security Response Reporter: msiddiqu
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: damien.ciabrini, databases-maint, dbecker, dciabrin, hhorak, jjoyce, jorton, jschluet, lhh, ljavorsk, lpeer, mbayer, mburns, mkocka, mmuzila, mschorm, sclewis, slinaber, SpikeFedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mysql 8.0.26 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-09-21 12:27:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1992821, 1992822, 1992843, 1992844, 1993353, 1996708, 2003109    
Bug Blocks: 1992327    

Description msiddiqu 2021-08-10 21:25:06 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: Server: Optimizer). Supported versions that are affected are 8.0.25 and prior. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/security-alerts/cpujul2021.html#AppendixMSQL

Comment 1 Tomas Hoger 2021-08-11 19:06:23 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1992821]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1992822]

Comment 4 errata-xmlrpc 2021-09-21 08:48:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3590 https://access.redhat.com/errata/RHSA-2021:3590

Comment 5 Product Security DevOps Team 2021-09-21 12:27:49 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-2427

Comment 6 errata-xmlrpc 2021-10-12 14:16:53 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:3811 https://access.redhat.com/errata/RHSA-2021:3811